---
# Cop supports --auto-correct.
Style/SymbolProc:
  # Offense count: 341
  # Temporarily disabled due to too many offenses
  Enabled: false
  Exclude:
    - 'app/controllers/admin/users_controller.rb'
    - 'app/controllers/concerns/renders_blob.rb'
    - 'app/controllers/import/bitbucket_controller.rb'
    - 'app/controllers/import/bitbucket_server_controller.rb'
    - 'app/controllers/profiles/avatars_controller.rb'
    - 'app/controllers/profiles/two_factor_auths_controller.rb'
    - 'app/controllers/profiles_controller.rb'
    - 'app/finders/packages/go/version_finder.rb'
    - 'app/graphql/mutations/commits/create.rb'
    - 'app/graphql/mutations/jira_import/start.rb'
    - 'app/helpers/graph_helper.rb'
    - 'app/models/ci/build_metadata.rb'
    - 'app/models/ci/build_trace_chunk.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/clusters/concerns/provider_status.rb'
    - 'app/models/commit.rb'
    - 'app/models/concerns/board_recent_visit.rb'
    - 'app/models/concerns/resolvable_discussion.rb'
    - 'app/models/container_repository.rb'
    - 'app/models/discussion.rb'
    - 'app/models/environment.rb'
    - 'app/models/integrations/prometheus.rb'
    - 'app/models/label_note.rb'
    - 'app/models/members/project_member.rb'
    - 'app/models/namespace.rb'
    - 'app/models/preloaders/merge_request_diff_preloader.rb'
    - 'app/models/project_team.rb'
    - 'app/models/release.rb'
    - 'app/models/remote_mirror.rb'
    - 'app/models/snippet_input_action_collection.rb'
    - 'app/models/user.rb'
    - 'app/policies/group_policy.rb'
    - 'app/presenters/project_presenter.rb'
    - 'app/serializers/analytics/cycle_analytics/value_stream_entity.rb'
    - 'app/serializers/build_action_entity.rb'
    - 'app/serializers/build_details_entity.rb'
    - 'app/serializers/ci/pipeline_entity.rb'
    - 'app/serializers/ci/trigger_entity.rb'
    - 'app/serializers/cluster_entity.rb'
    - 'app/serializers/deployment_cluster_entity.rb'
    - 'app/serializers/deployment_entity.rb'
    - 'app/serializers/draft_note_entity.rb'
    - 'app/serializers/environment_entity.rb'
    - 'app/serializers/import/bitbucket_provider_repo_entity.rb'
    - 'app/serializers/import/fogbugz_provider_repo_entity.rb'
    - 'app/serializers/issuable_sidebar_basic_entity.rb'
    - 'app/serializers/issue_board_entity.rb'
    - 'app/serializers/linked_project_issue_entity.rb'
    - 'app/serializers/member_entity.rb'
    - 'app/serializers/member_user_entity.rb'
    - 'app/serializers/merge_request_widget_entity.rb'
    - 'app/serializers/project_entity.rb'
    - 'app/serializers/project_mirror_entity.rb'
    - 'app/serializers/project_note_entity.rb'
    - 'app/serializers/prometheus_alert_entity.rb'
    - 'app/serializers/review_app_setup_entity.rb'
    - 'app/serializers/test_suite_summary_entity.rb'
    - 'app/services/badges/create_service.rb'
    - 'app/services/ci/change_variable_service.rb'
    - 'app/services/ci/find_exposed_artifacts_service.rb'
    - 'app/services/ci/resource_groups/assign_resource_from_resource_group_service.rb'
    - 'app/services/ci/update_build_state_service.rb'
    - 'app/services/clusters/agents/delete_expired_events_service.rb'
    - 'app/services/feature_flags/update_service.rb'
    - 'app/services/google_cloud/enable_cloud_run_service.rb'
    - 'app/services/merge_requests/base_service.rb'
    - 'app/services/merge_requests/bulk_remove_attention_requested_service.rb'
    - 'app/services/merge_requests/reopen_service.rb'
    - 'app/services/notes/destroy_service.rb'
    - 'app/services/packages/debian/generate_distribution_service.rb'
    - 'app/services/resource_events/synthetic_label_notes_builder_service.rb'
    - 'app/services/two_factor/destroy_service.rb'
    - 'app/workers/bulk_import_worker.rb'
    - 'app/workers/bulk_imports/stuck_import_worker.rb'
    - 'app/workers/ci/build_trace_chunk_flush_worker.rb'
    - 'app/workers/gitlab/import/stuck_import_job.rb'
    - 'app/workers/namespaces/prune_aggregation_schedules_worker.rb'
    - 'app/workers/stuck_export_jobs_worker.rb'
    - 'app/workers/update_head_pipeline_for_merge_request_worker.rb'
    - 'config/initializers/01_active_record_database_tasks_configuration_flag.rb'
    - 'config/initializers/doorkeeper_openid_connect.rb'
    - 'config/initializers/mail_encoding_patch.rb'
    - 'config/initializers/wikicloth_redos_patch.rb'
    - 'config/settings.rb'
    - 'db/migrate/20210318134427_delete_security_findings_without_uuid.rb'
    - 'db/migrate/20210503105845_add_project_value_stream_id_to_project_stages.rb'
    - 'db/post_migrate/20220119094503_populate_audit_event_streaming_verification_token.rb'
    - 'ee/app/helpers/ee/mirror_helper.rb'
    - 'ee/app/helpers/ee/registrations_helper.rb'
    - 'ee/app/models/concerns/epic_tree_sorting.rb'
    - 'ee/app/models/ee/integrations/jira.rb'
    - 'ee/app/models/ee/issue.rb'
    - 'ee/app/serializers/ee/fork_namespace_entity.rb'
    - 'ee/app/serializers/ee/group_child_entity.rb'
    - 'ee/app/serializers/ee/issue_sidebar_basic_entity.rb'
    - 'ee/app/serializers/ee/member_entity.rb'
    - 'ee/app/serializers/ee/merge_request_widget_entity.rb'
    - 'ee/app/serializers/epics/related_epic_entity.rb'
    - 'ee/app/serializers/integrations/jira_serializers/issue_entity.rb'
    - 'ee/app/serializers/linked_epic_entity.rb'
    - 'ee/app/services/analytics/cycle_analytics/data_loader_service.rb'
    - 'ee/app/services/geo/verification_state_backfill_service.rb'
    - 'ee/app/services/security/scanned_resources_counting_service.rb'
    - 'ee/app/services/timebox_report_service.rb'
    - 'ee/app/services/vulnerabilities/historical_statistics/deletion_service.rb'
    - 'ee/app/workers/geo/batch/project_registry_worker.rb'
    - 'ee/app/workers/geo/sync_timeout_cron_worker.rb'
    - 'ee/app/workers/geo/verification_cron_worker.rb'
    - 'ee/lib/api/entities/pending_member.rb'
    - 'ee/lib/api/related_epic_links.rb'
    - 'ee/lib/ee/api/entities/audit_event.rb'
    - 'ee/lib/ee/api/entities/geo_node.rb'
    - 'ee/lib/ee/api/entities/merge_request_approval_state.rb'
    - 'ee/lib/ee/gitlab/auth/ldap/access.rb'
    - 'ee/lib/ee/gitlab/background_migration/drop_invalid_remediations.rb'
    - 'ee/lib/ee/gitlab/background_migration/fix_incorrect_max_seats_used.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_uuids_for_security_findings.rb'
    - 'ee/lib/gitlab/ci/parsers/security/formatters/dependency_list.rb'
    - 'ee/lib/gitlab/contribution_analytics/data_collector.rb'
    - 'ee/lib/gitlab/custom_file_templates.rb'
    - 'ee/lib/gitlab/geo/oauth/logout_state.rb'
    - 'ee/spec/factories/issues.rb'
    - 'ee/spec/features/billings/extend_reactivate_trial_spec.rb'
    - 'ee/spec/features/billings/qrtly_reconciliation_alert_spec.rb'
    - 'ee/spec/helpers/ee/geo_helper_spec.rb'
    - 'ee/spec/helpers/ee/registrations_helper_spec.rb'
    - 'ee/spec/lib/ee/gitlab/search_results_spec.rb'
    - 'ee/spec/lib/gitlab/elastic/document_reference_spec.rb'
    - 'ee/spec/lib/gitlab/graphql/aggregations/issues/lazy_block_aggregate_spec.rb'
    - 'ee/spec/models/ee/iterations/cadence_spec.rb'
    - 'ee/spec/services/groups/participants_service_spec.rb'
    - 'ee/spec/support/helpers/subscription_portal_helpers.rb'
    - 'lib/api/api_guard.rb'
    - 'lib/api/entities/board.rb'
    - 'lib/api/entities/environment.rb'
    - 'lib/api/entities/issuable_references.rb'
    - 'lib/api/entities/merge_request_approvals.rb'
    - 'lib/api/entities/package.rb'
    - 'lib/api/entities/protected_ref_access.rb'
    - 'lib/api/github/entities.rb'
    - 'lib/api/go_proxy.rb'
    - 'lib/api/helpers/internal_helpers.rb'
    - 'lib/api/package_files.rb'
    - 'lib/api/terraform/state.rb'
    - 'lib/atlassian/jira_connect/serializers/base_entity.rb'
    - 'lib/banzai/filter/inline_cluster_metrics_filter.rb'
    - 'lib/banzai/filter/inline_embeds_filter.rb'
    - 'lib/bulk_imports/common/pipelines/entity_finisher.rb'
    - 'lib/bulk_imports/ndjson_pipeline.rb'
    - 'lib/container_registry/client.rb'
    - 'lib/container_registry/gitlab_api_client.rb'
    - 'lib/gitlab/analytics/cycle_analytics/stage_events.rb'
    - 'lib/gitlab/background_migration/cleanup_orphaned_lfs_objects_projects.rb'
    - 'lib/gitlab/background_migration/recalculate_vulnerabilities_occurrences_uuid.rb'
    - 'lib/gitlab/background_migration/remove_occurrence_pipelines_and_duplicate_vulnerabilities_findings.rb'
    - 'lib/gitlab/blob_helper.rb'
    - 'lib/gitlab/cache/ci/project_pipeline_status.rb'
    - 'lib/gitlab/checks/changes_access.rb'
    - 'lib/gitlab/ci/pipeline/preloader.rb'
    - 'lib/gitlab/ci/runner_upgrade_check.rb'
    - 'lib/gitlab/ci/trace.rb'
    - 'lib/gitlab/config/entry/node.rb'
    - 'lib/gitlab/database/async_indexes/migration_helpers.rb'
    - 'lib/gitlab/database/consistency_checker.rb'
    - 'lib/gitlab/database/migrations/background_migration_helpers.rb'
    - 'lib/gitlab/database/migrations/instrumentation.rb'
    - 'lib/gitlab/diff/file_collection/base.rb'
    - 'lib/gitlab/git/diff_stats_collection.rb'
    - 'lib/gitlab/gitaly_client/commit_service.rb'
    - 'lib/gitlab/gitaly_client/wiki_service.rb'
    - 'lib/gitlab/import_export/attributes_finder.rb'
    - 'lib/gitlab/import_export/base/relation_object_saver.rb'
    - 'lib/gitlab/import_export/fast_hash_serializer.rb'
    - 'lib/gitlab/import_export/group/relation_tree_restorer.rb'
    - 'lib/gitlab/manifest_import/manifest.rb'
    - 'lib/gitlab/metrics/dashboard/importers/prometheus_metrics.rb'
    - 'lib/gitlab/metrics/dashboard/url.rb'
    - 'lib/gitlab/quick_actions/extractor.rb'
    - 'lib/gitlab/quick_actions/merge_request_actions.rb'
    - 'lib/gitlab/search/found_blob.rb'
    - 'lib/gitlab/seeder.rb'
    - 'lib/gitlab/sidekiq_config.rb'
    - 'lib/gitlab/slash_commands/deploy.rb'
    - 'lib/gitlab/ssh_public_key.rb'
    - 'lib/gitlab/suggestions/suggestion_set.rb'
    - 'lib/gitlab/task_helpers.rb'
    - 'lib/tasks/gitlab/praefect.rake'
    - 'qa/qa/ee/page/group/settings/general.rb'
    - 'qa/qa/ee/page/operations_dashboard.rb'
    - 'qa/qa/page/group/settings/package_registries.rb'
    - 'qa/qa/page/profile/two_factor_auth.rb'
    - 'qa/qa/resource/project_snippet.rb'
    - 'qa/qa/runtime/ip_address.rb'
    - 'qa/qa/specs/features/browser_ui/1_manage/login/register_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/jenkins/jenkins_build_status_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/merge_request/rebase_merge_request_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/web_ide/review_merge_request_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/container_registry/online_garbage_collection_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/12_geo/attachment_replication_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/12_geo/http_push_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/12_geo/rename_replication_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/12_geo/ssh_push_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/12_geo/wiki_http_push_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/13_secure/enable_scanning_from_configuration_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/3_create/merge_request/approval_rules_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/3_create/repository/file_locking_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/4_verify/pipeline_status_on_operation_dashboard_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/4_verify/pipeline_subscription_with_group_owned_project_spec.rb'
    - 'rubocop/cop/gitlab/mark_used_feature_flags.rb'
    - 'scripts/qa/testcases-check'
    - 'scripts/static-analysis'
    - 'spec/controllers/concerns/product_analytics_tracking_spec.rb'
    - 'spec/controllers/concerns/redis_tracking_spec.rb'
    - 'spec/controllers/projects/merge_requests/conflicts_controller_spec.rb'
    - 'spec/factories/ci/builds.rb'
    - 'spec/factories/clusters/providers/aws.rb'
    - 'spec/factories/oauth_openid_requests.rb'
    - 'spec/factories/personal_access_tokens.rb'
    - 'spec/factories/pool_repositories.rb'
    - 'spec/features/merge_request/user_creates_image_diff_notes_spec.rb'
    - 'spec/features/merge_request/user_resolves_conflicts_spec.rb'
    - 'spec/features/merge_request/user_resolves_diff_notes_and_discussions_resolve_spec.rb'
    - 'spec/features/merge_request/user_sees_pipelines_spec.rb'
    - 'spec/features/projects/commit/user_comments_on_commit_spec.rb'
    - 'spec/features/projects/environments/environment_spec.rb'
    - 'spec/features/projects/labels/update_prioritization_spec.rb'
    - 'spec/finders/license_template_finder_spec.rb'
    - 'spec/finders/packages/go/version_finder_spec.rb'
    - 'spec/graphql/mutations/releases/create_spec.rb'
    - 'spec/helpers/instance_configuration_helper_spec.rb'
    - 'spec/helpers/learn_gitlab_helper_spec.rb'
    - 'spec/helpers/members_helper_spec.rb'
    - 'spec/lib/backup/gitaly_backup_spec.rb'
    - 'spec/lib/gitlab/database/dynamic_model_helpers_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers/loose_foreign_key_helpers_spec.rb'
    - 'spec/lib/gitlab/git/commit_spec.rb'
    - 'spec/lib/gitlab/git/repository_spec.rb'
    - 'spec/lib/gitlab/gpg/invalid_gpg_signature_updater_spec.rb'
    - 'spec/lib/gitlab/graphql/lazy_spec.rb'
    - 'spec/lib/gitlab/instrumentation/redis_spec.rb'
    - 'spec/lib/gitlab/optimistic_locking_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/in_operator_optimization/query_builder_spec.rb'
    - 'spec/lib/gitlab/quick_actions/dsl_spec.rb'
    - 'spec/lib/gitlab/relative_positioning/item_context_spec.rb'
    - 'spec/lib/gitlab/usage/metrics/instrumentations/database_metric_spec.rb'
    - 'spec/lib/omni_auth/strategies/jwt_spec.rb'
    - 'spec/models/member_spec.rb'
    - 'spec/models/namespace/root_storage_statistics_spec.rb'
    - 'spec/models/operations/feature_flags/strategy_spec.rb'
    - 'spec/models/project_statistics_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/models/user_spec.rb'
    - 'spec/presenters/projects/import_export/project_export_presenter_spec.rb'
    - 'spec/requests/api/snippet_repository_storage_moves_spec.rb'
    - 'spec/requests/api/tags_spec.rb'
    - 'spec/services/ci/pipelines/add_job_service_spec.rb'
    - 'spec/services/groups/transfer_service_spec.rb'
    - 'spec/services/merge_requests/conflicts/list_service_spec.rb'
    - 'spec/services/notification_recipients/builder/default_spec.rb'
    - 'spec/services/packages/go/create_package_service_spec.rb'
    - 'spec/services/suggestions/apply_service_spec.rb'
    - 'spec/support/generate-seed-repo-rb'
    - 'spec/support/helpers/filter_spec_helper.rb'
    - 'spec/support/helpers/migrations_helpers.rb'
    - 'spec/support/shared_contexts/finders/users_finder_shared_contexts.rb'
    - 'spec/support/shared_examples/lib/gitlab/ci/ci_trace_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/import_export/attributes_permitter_shared_examples.rb'
    - 'spec/support/shared_examples/models/label_note_shared_examples.rb'
    - 'spec/views/layouts/_published_experiments.html.haml_spec.rb'
    - 'spec/workers/snippets/schedule_bulk_repository_shard_moves_worker_spec.rb'
    - 'tooling/lib/tooling/test_map_generator.rb'
    - 'tooling/rspec_flaky/flaky_examples_collection.rb'
